## smplayer 21.8.0

=== debian/changelog ===
smplayer (21.8.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Better automatic resizing of the main window, trying to prevent black
      borders.
    - Fix loading YouTube playlists.
    - Add an option to rotate the video by 180 degrees.
    - Playlist: try to prevent a one second delay when using play prev/next.
    - Add some predefined speeds (0.25x, 0.5x, 1.25x, 1.5x, 1.75x).
    - Fix audio CD playback with mpv.
    - Fix audio channels.

  * Refresh 07-disable-chromecast.patch.
  * Drop the -ds0 in versioning, since source doesn't include zlib any longer.
  * Don't install the old-docs.
  * debian/smplayer.install: install the appdata file.
  * Bump up to dh-compat=12 and use dh_missing in rules.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Oct 2021 19:59:07 -0700

smplayer (21.1.0~ds0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Initial support for Wayland.
   - Some fixes and improvements in the playlist.
   - Show cache info in the OSD (Shift + I).

  * Drop Qt4 builds; adjust BDs and rules files appropriately.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Jan 2021 16:24:30 -0800

smplayer (20.6.0~ds0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - The internal youtube code has been removed and now smplayer just uses
       youtube-dl to get the video urls.
    - The shuffle option in the playlist does shuffle the items of the playlist.

  * Depend on youtube-dl, recommend smplayer-skins and suggest smtube.
  * Refresh 09-use-https.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Jun 2020 10:52:35 -0700

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Mateusz Łukasik <mati75@linuxmint.pl>,
           Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev (>= 5.6),
               qtbase5-private-dev (>= 5.6),
               qtscript5-dev (>= 5.6),
               qttools5-dev-tools (>= 5.6),
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

Package: smplayer
Architecture: any
Depends: mpv (>= 0.6.2) | mplayer,
         smplayer-l10n,
         smplayer-themes,
         youtube-dl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: smplayer-skins
Suggests: smtube
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends: smplayer (>= ${source:Version}), ${misc:Depends}
Replaces: smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"


%:
	dh $@

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_BSD.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/*/gpl.html
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Finding_subtitles.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Portable_Edition.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Watching_TV.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Readme.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Install.txt
#	$(RM) -f debian/tmp/usr/share/doc/smplayer/Not_so_obvious_things.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/dvdmenus.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_libmaia.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Changelog
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.txt
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.md
	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_openssl.txt

override_dh_missing:
	dh_missing --fail-missing

# Uncomment next two lines if building in Virtual Box
#override_dh_shlibdeps:
#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

# Disable following if you want dbgsym packages
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## smplayer 21.8.0.9999

=== OBS/Makefile ===
# This Makefile creates some files necessary to build
# deb packages at build.opensuse.org

PACKAGE = smplayer
VERSION = 21.8.0
#DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

DSC_FILE = $(PACKAGE).dsc
DEBIAN_FILE = debian.tar.gz

all: $(DEBIAN_FILE) $(DSC_FILE)

$(DEBIAN_FILE): Makefile
	svn export ../debian-orig debian
	mv debian/changelog-orig debian/changelog
	tar -cvzf $(DEBIAN_FILE) debian/

$(DSC_FILE): Makefile
	echo "Format: 1.0" > $(DSC_FILE)
	echo "Source: $(PACKAGE)" >> $(DSC_FILE)
	echo "Binary: $(PACKAGE)" >> $(DSC_FILE)
	echo "Architecture: any" >> $(DSC_FILE)
	echo "Version: $(VERSION)" >> $(DSC_FILE)
	echo "Maintainer: Ricardo Villalba <ricardo@smplayer.info>" >> $(DSC_FILE)
	echo "Standards-Version: 3.9.7" >> $(DSC_FILE)
	echo "Build-Depends: $(DEPENDS)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-TAR: $(PACKAGE)-$(VERSION).tar.bz2" >> $(DSC_FILE)
	echo "DEBTRANSFORM-FILES-TAR: $(DEBIAN_FILE)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-RELEASE: 1" >> $(DSC_FILE)

clean:
	- rm -r debian/*
	- rmdir debian
	- rm $(DEBIAN_FILE) $(DSC_FILE)

=== debian/changelog ===
smplayer (21.8.0.9999-0.1~mx21+1) mx; urgency=medium

  * Import new development release, which gets youtube-dlp instead of the
    deprecated youtube-dl.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Oct 2021 09:17:03 -0700

smplayer (21.8.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Better automatic resizing of the main window, trying to prevent black
      borders.
    - Fix loading YouTube playlists.
    - Add an option to rotate the video by 180 degrees.
    - Playlist: try to prevent a one second delay when using play prev/next.
    - Add some predefined speeds (0.25x, 0.5x, 1.25x, 1.5x, 1.75x).
    - Fix audio CD playback with mpv.
    - Fix audio channels.

  * Refresh 07-disable-chromecast.patch.
  * Drop the -ds0 in versioning, since source doesn't include zlib any longer.
  * Don't install the old-docs.
  * debian/smplayer.install: install the appdata file.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Oct 2021 19:59:07 -0700

## smplayer 21.10.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 21.8.0
+VERSION = 21.10.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (21.10.0~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 30 Jan 2022 17:35:51 +0100

smplayer (21.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on qtbase5-dev.
    + smplayer: Drop versioned constraint on mpv in Depends.
    + smplayer-l10n: Drop versioned constraint on smplayer in Replaces.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 23 Oct 2021 23:55:43 +0200

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 qtbase5-private-dev,
 qt5-qmake,
 qt5-qmake:native,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.6.0
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
Rules-Requires-Root: no

Package: smplayer
Architecture: any
Depends:
 mpv | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer-translations (<< 14.3.0)
Breaks:
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 21.10.0

=== debian/changelog ===
smplayer (21.10.0-1~mx19+1) mx; urgency=medium

  * Import new release:
    - The support for YouTube has been improved by using yt-dlp. Fixes
      buffering and playback of age-restricted videos.
    - Possibility to use yt-dlp instead of youtube-dl.
    - Option to use the AV1 codec with YouTube videos.
    - Improve support for FreeBSD.
    - Auto-rotate videos that have been recorded in vertical mode or
      upside down.
    - Ignore KDE's "single click". It causes unexpected behaviour.
    - Remove support for obsolete mplayer2.
    - Some bug fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Nov 2021 12:04:53 -0800

smplayer (21.8.0.9999-0.1~mx19+1) mx; urgency=medium

  * Import new development release, which gets youtube-dlp instead of the
    deprecated youtube-dl.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Oct 2021 09:17:03 -0700

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Mateusz Łukasik <mati75@linuxmint.pl>,
           Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 10~),
               qtbase5-dev (>= 5.6),
               qtbase5-private-dev (>= 5.6),
               qtscript5-dev (>= 5.6),
               qttools5-dev-tools (>= 5.6),
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

Package: smplayer
Architecture: any
Depends: mpv (>= 0.6.2) | mplayer,
         smplayer-l10n,
         smplayer-themes,
         youtube-dl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: smplayer-skins
Suggests: smtube
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends: smplayer (>= ${source:Version}), ${misc:Depends}
Replaces: smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 22.2.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 21.10.0
+VERSION = 22.2.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (22.2.0~ds0-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 15 Jun 2022 09:59:47 +0200

## smplayer 22.2.0

=== debian/changelog ===
smplayer (22.2.0-0.1~mx21+1) mx; urgency=medium

  * Import new release:
    - Fix the option to send video to another screen.
    - Fix the option to choose the audio output device.
    - Fix: the playlist is shuffled after adding files if the shuffle button
      is on.
    - Possibility to choose whether to show the media title or the filename
      in the playlist.

  * Update debian/copyright.
  * Refresh 09-use-https.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Jun 2022 17:21:30 -0700

smplayer (21.10.0-1~mx21+1) mx; urgency=medium

  * Import new release:
    - The support for YouTube has been improved by using yt-dlp. Fixes
      buffering and playback of age-restricted videos.
    - Possibility to use yt-dlp instead of youtube-dl.
    - Option to use the AV1 codec with YouTube videos.
    - Improve support for FreeBSD.
    - Auto-rotate videos that have been recorded in vertical mode or
      upside down.
    - Ignore KDE's "single click". It causes unexpected behaviour.
    - Remove support for obsolete mplayer2.
    - Some bug fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Nov 2021 12:04:53 -0800

## smplayer 22.7.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 22.2.0
+VERSION = 22.7.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (22.7.0~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 4.6.1, no changes needed

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 14 Oct 2022 09:53:04 +0200

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 qtbase5-private-dev,
 qt5-qmake,
 qt5-qmake:native,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.6.1
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
Rules-Requires-Root: no

Package: smplayer
Architecture: any
Depends:
 mpv | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer-translations (<< 14.3.0)
Breaks:
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 22.7.0

=== debian/changelog ===
smplayer (22.7.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Better statistic info in the OSD (Shift + I).
    - Bug fixes regarding MPRIS2.
    - MPRIS2 is compiled (but disabled by default) on Windows and Mac OS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 14 Jul 2022 12:08:55 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,19 @@
 #!/usr/bin/make -f
 
 export LC_ALL=C.UTF-8
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 include /usr/share/dpkg/architecture.mk
 
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+QMAKE=qmake
+else
+QMAKE=$(DEB_HOST_GNU_TYPE)-qmake
+endif
+
+export QT_SELECT=5
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
-MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"
-
+MAKE_OPTS  = PREFIX=/usr QMAKE=$(QMAKE) LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"
 
 %:
 	dh $@
@@ -31,21 +37,16 @@
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Watching_TV.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Readme.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Install.txt
-#	$(RM) -f debian/tmp/usr/share/doc/smplayer/Not_so_obvious_things.txt
+	$(RM) -f debian/tmp/usr/share/doc/smplayer/Not_so_obvious_things.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/dvdmenus.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_libmaia.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Changelog
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.txt
-	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.md
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_openssl.txt
 
 override_dh_missing:
 	dh_missing --fail-missing
 
-# Uncomment next two lines if building in Virtual Box
-#override_dh_shlibdeps:
-#	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
-
-# Disable following if you want dbgsym packages
+# MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## smplayer 23.6.0

=== debian/changelog ===
smplayer (23.6.0-1+3.60) xenial; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 29 Oct 2025 17:56:11 +0000

smplayer (23.6.0) xenial; urgency=medium

  * Fix the issue with YouTube playback limited to 720p.
  * Update mpv and mplayer.
  * New option in preferences to keep the playback speed for all videos.
  * Fix the AppImage package.
  * Other bug fixes.

 -- Ricardo Villalba <ricardo@smplayer.info>  Fri, 30 Jun 2023 14:56:48 +0200

smplayer (22.7.0) xenial; urgency=medium

  * Better statistic info in the OSD.
  * Bug fixes regarding MPRIS2.

 -- Ricardo Villalba <ricardo@smplayer.info>  Sun, 10 Jul 2022 16:17:36 +0200

smplayer (22.2.0) xenial; urgency=medium

  * (Linux and Mac OS) Fix the option to send video to another screen.
  * (Linux and Mac OS) Fix the option to choose the audio output device.
  * (Flatpak) Add support for the AV1 codec.
  * (Mac OS) Fix colors in HDR videos.
  * Fix: the playlist is shuffled after adding files if the shuffle button is on.
  * Possibility to choose whether to show the media title or the filename in the playlist.

 -- Ricardo Villalba <ricardo@smplayer.info>  Sun, 27 Feb 2022 16:07:00 +0100

smplayer (21.10.0) xenial; urgency=medium

  * The support for YouTube has been improved by using yt-dlp. Fixes
    buffering and playback of age-restricted videos.
  * Possibility to use yt-dlp instead of youtube-dl.
  * Option to use the AV1 codec with YouTube videos.
  * Improve support for FreeBSD.
  * Auto-rotate videos that have been recorded in vertical mode or upside down.
  * Some bug fixes.
  * (Linux) Ignore KDE's "single click". It causes unexpected behaviour.
  * (Windows) It's easier to update the YouTube code.
  * (Windows) The installer is digitally signed.
  * (Windows) SMPlayer is now also available in the Windows Store.
  * (Mac OS) Fix playback with mplayer when screenshots are enabled.
  * Remove support for the obsolete mplayer2.

 -- Ricardo Villalba <ricardo@smplayer.info>  Fri, 29 Oct 2021 16:00:39 +0200

smplayer (21.8.0) xenial; urgency=medium

  * Better automatic resizing of the main window, trying to prevent black borders.
  * Fix loading YouTube playlists.
  * Add an option to rotate the video by 180 degrees.
  * Playlist: try to prevent a one second delay when using play prev/next.
  * Add some predefined speeds (0.25x, 0.5x, 1.25x, 1.5x, 1.75x).
  * Fix audio CD playback with mpv.
  * Fix audio channels.
  * Disable power saving on Wayland during playback.

 -- Ricardo Villalba <ricardo@smplayer.info>  Mon, 16 Aug 2021 13:49:13 +0200

smplayer (21.1.0) xenial; urgency=low

  * Initial support for Wayland.
  * Some fixes and improvements in the playlist.
  * Show cache info in the OSD (Shift + I).

 -- Ricardo Villalba <ricardo@smplayer.info>  Wed, 06 Jan 2021 14:51:51 +0100

smplayer (20.6.0) precise; urgency=low

  * The internal YouTube code has been removed. Now SMPlayer uses
    an external application to get the video URLs.
  * The shuffle option in the playlist does shuffle the items of
    the playlist.

 -- Ricardo Villalba <ricardo@smplayer.info>  Wed, 17 Jun 2020 16:17:09 +0200

smplayer (20.4.2) precise; urgency=low

  * Fix for YouTube.

 -- Ricardo Villalba <ricardo@smplayer.info>  Mon, 13 Apr 2020 16:01:59 +0200

smplayer (20.4.0) precise; urgency=low

  * Possibility to enter the opensubtitles.org credentials,
    in order to prevent a login error.
  * Now it's possible to search for shortcuts in Preferences -> Keyboard.
  * Support for mpv 0.32.

 -- Ricardo Villalba <ricardo@smplayer.info>  Thu, 09 Apr 2020 17:04:07 +0200

smplayer (19.10.2) precise; urgency=low

  * Fix compiling the web server on 32 bit with gcc 9.2.0.

 -- Ricardo Villalba <ricardo@smplayer.info>  Thu, 07 Nov 2019 21:15:25 +0100

smplayer (19.10.0) precise; urgency=low

  * Fix for YouTube.
  * Fix control when using mpv 0.30.

 -- Ricardo Villalba <ricardo@smplayer.info>  Sun, 27 Oct 2019 20:38:21 +0100

smplayer (19.5.0) precise; urgency=low

  * Fix for YouTube.
  * Fix YouTube live streams (works only with mpv).
  * New actions available for previous subtitle track, previous audio track
    and previous video track.
  * New command line option -start.

 -- Ricardo Villalba <ricardo@smplayer.info>  Tue, 14 May 2019 21:07:11 +0200

smplayer (19.1.0) precise; urgency=low

  * Possibility to play 60fps videos from YouTube.
  * Now it's possible to search for subtitles typing the name of the
    movie or show.
  * Some bug fixes.

 -- Ricardo Villalba <ricardo@smplayer.info>  Mon, 28 Jan 2019 21:33:39 +0100

smplayer (18.10.0) precise; urgency=low

  * The internal code for YouTube now supports resolutions up to 4K. The
    support for age restricted videos has been fixed.

 -- Ricardo Villalba <ricardo@smplayer.info>  Fri, 19 Oct 2018 21:42:05 +0200

smplayer (18.9.0) precise; urgency=low

  * Fix for YouTube.
  * (Experimental) New option in the Play menu: Cast to -> Smartphone/tablet.
    It displays a QR code that you can scan to play the video on your device.

 -- Ricardo Villalba <ricardo@smplayer.info>  Fri, 14 Sep 2018 21:06:37 +0200

smplayer (18.6.0) precise; urgency=low

  * On Windows 10 the key shortcuts for play next/previous left a "busy" mouse
    cursor on the screen. This is fixed now.
  * There's a new option in Preferences -> Playlist to choose the type of
    window for the playlist: dockable (as before) or just a normal window.
  * The library used by the web server for the chromecast feature has been
    updated. It looks like the old one had several vulnerabilities so it's
    recommended to update.

 -- Ricardo Villalba <ricardo@smplayer.info>  Fri, 22 Jun 2018 22:18:34 +0200

smplayer (18.5.0) precise; urgency=low

  * (Windows) A problem which might prevent SMPlayer to open filenames with
    unicode characters has been fixed.
  * Fix: the cursor keys should now work in the playlist.
  * Now it's possible to select which multimedia keys should be used as


=== debian/control ===
Source: smplayer
Section: graphics
Priority: extra
Maintainer: Ricardo Villalba <ricardo@smplayer.info>
Standards-Version: 3.9.7
#Build-Depends: debhelper (>= 9), zlib1g-dev, libqt4-dev
Build-Depends: debhelper (>= 9), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano

Package: smplayer
Architecture: any
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: ${misc:Depends}, ${shlibs:Depends}, mplayer | mplayer-nogui | mpv (>= 0.6.2)
Recommends: smplayer-themes, smplayer-skins, smtube, alsa-utils, x11-utils, pulseaudio-utils, youtube-dl, python-is-python2 | python-is-python3
Replaces: smplayer-translations, smplayer-l10n
Provides: smplayer-translations, smplayer-l10n
Description: A great media player
 SMPlayer is a graphical user interface (GUI) for the award-winning mplayer
 and also for mpv. But apart from providing access for the most common
 and useful options of mplayer and mpv, SMPlayer adds other interesting features
 like the possibility to play Youtube videos or search and download subtitles.
 One of the main features is the ability to remember the state of a
 played file, so when you play it later it will be resumed at the same point
 and with the same settings.

## smplayer 23.6.0+ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 22.7.0
+VERSION = 23.6.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (23.6.0+ds0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Mateusz Łukasik ]
  * New upstream release.
  * Set version to +ds for repack to drop upstream docs included gpl
    multilingual licence in html.
  * Add patch for drop hardcodes use of Google DNS resolver. (Closes: #1023546)
  * Add patch for remove hardcodes use of Google DNS resolver from chromecast
    feature. (Closes: #1023547)
  * Add version to clean file. (Closes: #1048090)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 01 Oct 2023 14:42:30 +0200

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper-compat (= 13),
 qtbase5-dev,
 qtbase5-private-dev,
 qt5-qmake,
 qt5-qmake:native,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://smplayer.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
Rules-Requires-Root: no

Package: smplayer
Architecture: any
Depends:
 mpv | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Section: localization
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer-translations (<< 14.3.0)
Breaks:
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 23.12.0%2Bds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 23.6.0
+VERSION = 23.12.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## smplayer 23.12.0+ds0

=== debian/changelog ===
smplayer (23.12.0+ds0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:46 +1100

smplayer (23.12.0+ds0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:08:39 +0000

smplayer (23.12.0+ds0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1062700)
  * Add qtdeclarative5-dev to the dependencies.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 16 Feb 2024 20:44:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>,
@@ -10,6 +11,7 @@
  debhelper-compat (= 13),
  qtbase5-dev,
  qtbase5-private-dev,
+ qtdeclarative5-dev,
  qt5-qmake,
  qt5-qmake:native,
  qtscript5-dev,

=== debian/watch ===
version=3
opts=dversionmangle=s/\~ds0//,compression=xz,repack,repacksuffix=+ds0 \
https://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2

## smplayer 24.5.0

=== debian/changelog ===
smplayer (24.5.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Implemented support for the new Opensubtitles API.
    - Fix play/pause with mpv 0.37.
    - Fix loading playlists with extension m3u8.
    - Fix video jitter/shudder when clicking on timeline bar.
    - Other small fixes.

  * Update d/copyright.
  * Import d/patches from the dmo build.
  * d/control: add qtdeclarative5-dev as build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 May 2024 21:17:04 -0700

smplayer (23.6.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Fix the issue with YouTube playback limited to 720p.
    - Update mpv and mplayer.
    - New option in preferences to keep the playback speed for all videos.
    - Fix the AppImage package.
    - Other bug fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Jul 2023 15:10:39 -0700

=== debian/rules ===
--- 
+++ 
@@ -46,3 +46,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## smplayer 24.5.0+ds

=== OBS/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 23.12.0
-#DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qt5-default | nano
+VERSION = 24.5.0
+#DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qtdeclarative5-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev
 
 DSC_FILE = $(PACKAGE).dsc

=== debian/changelog ===
smplayer (24.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.
  * Update debian/copyright.
  * Drop debian-orig from original sources.
  * Remove Alf Gaida from Uploaders.
  * Bump d/watch to version 4.
  * Add Forwarded: not-needed to Debian patches.
  * Cherry pick from upstream for Adapt MPV's renaming
    --sub-forced-only to --sub-forced-events-only.
  * d/rules: Remove override_dh_missing.
  * Update d/upstream/metadata.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 20 Sep 2024 21:12:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Mateusz Łukasik <mati75@linuxmint.pl>,
- Alf Gaida <agaida@siduction.org>
+ Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper-compat (= 13),
  qtbase5-dev,
@@ -17,7 +15,7 @@
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://smplayer.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//,compression=xz,repack,repacksuffix=+ds \
https://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2

## smplayer 25.6.0%2Bds

=== debian/changelog ===
smplayer (25.6.0+ds-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
    - Fix play/pause button.
    - Some fixes to stop the screensaver on Linux.
    - Fixed some issues related to disc playback.
    - Various bug fixes and stability improvements.
  * 14-Adapt-MPV-renaming--sub-forced-only-to--sub-forced-events-only.patch
    is disabled, fixed in this release.
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Aug 2025 09:16:14 -0700

## smplayer 25.6.0+ds

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/smplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/smplayer
DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
THEMES_PATH=$(PREFIX)/share/smplayer/themes
SHORTCUTS_PATH=$(PREFIX)/share/smplayer/shortcuts

ICONS_DIR=$(PREFIX)/share/icons/hicolor/
APPLNK_DIR=$(PREFIX)/share/applications/
METAINFO_DIR=$(PREFIX)/share/metainfo/

QMAKE=qmake
LRELEASE=lrelease

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
     SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"

all: src/smplayer webserver/simple_web_server

src/smplayer:
	./get_svn_revision.sh
	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
	cd src && $(LRELEASE) smplayer.pro

webserver/simple_web_server:
	cd webserver && make

clean:
	if [ -f src/Makefile ]; then cd src && make distclean; fi
	-rm src/translations/smplayer_*.qm
	-rm webserver/simple_web_server

install: all
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/smplayer $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Release_notes.md *.txt $(DESTDIR)$(DOC_PATH)

	install -m 755 webserver/simple_web_server $(DESTDIR)$(PREFIX)/bin/

	-install -d $(DESTDIR)$(DOC_PATH)
	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -

	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)

#	-install -d $(DESTDIR)$(THEMES_PATH)
#	-tar -C src/themes/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(THEMES_PATH) -x -f -

	-install -d $(DESTDIR)$(ICONS_DIR)/512x512/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/256x256/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/192x192/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/128x128/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/64x64/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/32x32/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/22x22/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/16x16/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/scalable/apps/
	install -m 644 icons/smplayer_icon512.png $(DESTDIR)$(ICONS_DIR)/512x512/apps/smplayer.png
	install -m 644 icons/smplayer_icon256.png $(DESTDIR)$(ICONS_DIR)/256x256/apps/smplayer.png
	install -m 644 icons/smplayer_icon192.png $(DESTDIR)$(ICONS_DIR)/192x192/apps/smplayer.png
	install -m 644 icons/smplayer_icon128.png $(DESTDIR)$(ICONS_DIR)/128x128/apps/smplayer.png
	install -m 644 icons/smplayer_icon64.png $(DESTDIR)$(ICONS_DIR)/64x64/apps/smplayer.png
	install -m 644 icons/smplayer_icon32.png $(DESTDIR)$(ICONS_DIR)/32x32/apps/smplayer.png
	install -m 644 icons/smplayer_icon22.png $(DESTDIR)$(ICONS_DIR)/22x22/apps/smplayer.png
	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(ICONS_DIR)/16x16/apps/smplayer.png
	install -m 644 icons/smplayer.svg $(DESTDIR)$(ICONS_DIR)/scalable/apps/smplayer.svg
	-install -d $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer.desktop $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(APPLNK_DIR)

	-install -d $(DESTDIR)$(METAINFO_DIR)
	./install_appdata.sh $(DESTDIR)$(METAINFO_DIR)/smplayer.appdata.xml

	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1

uninstall:
	-rm -f $(PREFIX)/bin/smplayer
	-rm -f $(DATA_PATH)/input.conf
	-rm -f $(TRANSLATION_PATH)/*.qm
	-rm -f $(DOC_PATH)/Changelog
	-rm -f $(DOC_PATH)/*.txt
	-rm -f $(SHORTCUTS_PATH)/*.keys
	-rm -f $(ICONS_DIR)/64x64/apps/smplayer.png
	-rm -f $(ICONS_DIR)/32x32/apps/smplayer.png
	-rm -f $(ICONS_DIR)/22x22/apps/smplayer.png
	-rm -f $(ICONS_DIR)/16x16/apps/smplayer.png
	-rm -f $(APPLNK_DIR)/smplayer.desktop
	-rm -f $(METAINFO_DIR)/smplayer.appdata.xml
	-rm -f $(PREFIX)/share/man/man1/smplayer.1.gz
	-rmdir $(SHORTCUTS_PATH)/
	-rmdir $(TRANSLATION_PATH)/
#	-for file in docs/*/*; do \
#	    rm -f $(DOC_PATH)/$${file/docs/}; \
#	done;
#	-for file in docs/*; do \
#	    rmdir $(DOC_PATH)/$${file/docs/}; \
#	done;
	-(cd docs && find -iname '*.html') | (cd $(DESTDIR)$(DOC_PATH) && xargs rm)
	-(cd docs && find -type d -name '??') | (cd $(DESTDIR)$(DOC_PATH) && xargs rmdir)
	-rmdir $(DOC_PATH)/
	-rmdir $(DATA_PATH)/

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 24.5.0
+VERSION = 25.6.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qtbase5-private-dev, qtdeclarative5-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev
 
@@ -12,7 +12,9 @@
 all: $(DEBIAN_FILE) $(DSC_FILE)
 
 $(DEBIAN_FILE): Makefile
-	svn export ../debian-orig debian
+	#svn export ../debian-orig debian
+	-mkdir debian
+	cp -R ../debian-orig/* debian
 	mv debian/changelog-orig debian/changelog
 	tar -cvzf $(DEBIAN_FILE) debian/

=== webserver/Makefile ===
PROG = simple_web_server
MODULE_CFLAGS=-DMG_DISABLE_DAV_AUTH -DMG_ENABLE_HTTP_CGI=0 -DMG_ENABLE_THREADS=0 -DMG_ENABLE_HTTP_SSI=0

SOURCES = main.c mongoose.c
CFLAGS = -O2 -W -Wall -Werror -Wno-unused-function $(CFLAGS_EXTRA) $(MODULE_CFLAGS)

ifeq ($(OS), Windows_NT)
CFLAGS += -lws2_32 -Wno-format
CC = gcc
DEL_FILE = del
PROG := $(PROG).exe
else
CFLAGS += -pthread
DEL_FILE = rm -f
endif

all: $(PROG)

$(PROG): $(SOURCES) Makefile
	$(CC) $(SOURCES) -o $@ $(CFLAGS)

clean:
	$(DEL_FILE) $(PROG)

=== debian/changelog ===
smplayer (25.6.0+ds-1) unstable; urgency=medium

  * Update d/watch to github.
  * New upstream release.
  * Drop patches included upstream.
  * Update standards version to 4.7.2, no changes needed.
  * Copyright: bump upstream years and update email address.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 05 Oct 2025 12:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://smplayer.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,3 @@
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Changelog
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Release_notes.txt
 	$(RM) -f debian/tmp/usr/share/doc/smplayer/Copying_openssl.txt
-
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%, \
dversionmangle=s/\+ds//,compression=xz,repack,repacksuffix=+ds" \
https://api.github.com/repos/smplayer-dev/smplayer/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v([\d]+\.[\d]+\.[\d]+)
